async function update_insta_profile() {
    Swal.fire({
        title: 'CLIASO',
        html: `<p>Mise à jour profil en cours .....</p><p>Veuillez patienter. Ce processus peut prendre quelques temps.</p>`,
        allowOutsideClick: false,
        didOpen: async () => {
            Swal.showLoading();
            try {
                const response = await fetch('/refresh_profiles', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json',
                    },
                });
                
                const result = await response.json();

                if (!result.success) {
                    throw new Error(result.message);
                }

            } catch (error) {
                Swal.update({
                    title: 'Erreur de configuration et de mise à jour profil',
                    html: `<p>Une erreur est survenue : ${error.message}</p>`,
                    icon: 'error'
                });
            } finally {
                Swal.close();
                window.location.href = '/dashboard';
            }
        }
    });
}
